/// IMPORTING THIRD PARTY PACKAGES
import 'package:fluttertoast/fluttertoast.dart';

/// IMPORTING LOCAL PACKAGES
import 'package:zwap_design_system/atoms/atoms.dart';

/// Custom class to show toast message
class ZwapToastMessage{

  /// Custom message to display inside the application view
  final String toastMessage;

  ZwapToastMessage({
    required this.toastMessage
  });

  /// It shows a message inside a toast modal
  void showToastMessage(){
    Fluttertoast.showToast(
        msg: this.toastMessage,
        toastLength: Toast.LENGTH_SHORT,
        gravity: ToastGravity.CENTER,
        timeInSecForIosWeb: 1,
        backgroundColor: ZwapColors.neutral700,
        textColor: ZwapColors.neutral200,
        fontSize: 16.0
    );
  }

}